org.springframework.web.socket.config.annotation

## Interface StompWebSocketEndpointRegistration

- All Known Implementing Classes:
    WebMvcStompWebSocketEndpointRegistration

      public interface StompWebSocketEndpointRegistration

  A contract for configuring a STOMP over WebSocket endpoint.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StompWebSocketEndpointRegistration` | `addInterceptors(HandshakeInterceptor... interceptors)` Configure the HandshakeInterceptor's to use.
    `StompWebSocketEndpointRegistration` | `setAllowedOriginPatterns(String... originPatterns)` Alternative to `setAllowedOrigins(String...)` that supports more flexible patterns for specifying the origins for which cross-origin requests are allowed from a browser.
    `StompWebSocketEndpointRegistration` | `setAllowedOrigins(String... origins)` Set the origins for which cross-origin requests are allowed from a browser.
    `StompWebSocketEndpointRegistration` | `setHandshakeHandler(HandshakeHandler handshakeHandler)` Configure the HandshakeHandler to use.
    `SockJsServiceRegistration` | `withSockJS()` Enable SockJS fallback options.

- - ### Method Detail

    - #### withSockJS

          SockJsServiceRegistration withSockJS()

      Enable SockJS fallback options.

    - #### setHandshakeHandler

          StompWebSocketEndpointRegistration setHandshakeHandler(HandshakeHandler handshakeHandler)

      Configure the HandshakeHandler to use.

    - #### addInterceptors

          StompWebSocketEndpointRegistration addInterceptors(HandshakeInterceptor... interceptors)

      Configure the HandshakeInterceptor's to use.

    - #### setAllowedOrigins

          StompWebSocketEndpointRegistration setAllowedOrigins(String... origins)

      Set the origins for which cross-origin requests are allowed from a browser. Please, refer to `CorsConfiguration.setAllowedOrigins(List)` for format details and considerations, and keep in mind that the CORS spec does not allow use of `"*"` with `allowCredentials=true`. For more flexible origin patterns use `setAllowedOriginPatterns(java.lang.String...)` instead.

      By default, no origins are allowed. When `allowedOriginPatterns` is also set, then that takes precedence over this property.

      Note when SockJS is enabled and origins are restricted, transport types that do not allow to check request origin (Iframe based transports) are disabled. As a consequence, IE 6 to 9 are not supported when origins are restricted.

      Since:
        4.1.2
      See Also:
        `setAllowedOriginPatterns(String...)`, RFC 6454: The Web Origin Concept, SockJS supported transports by browser

    - #### setAllowedOriginPatterns

          StompWebSocketEndpointRegistration setAllowedOriginPatterns(String... originPatterns)

      Alternative to `setAllowedOrigins(String...)` that supports more flexible patterns for specifying the origins for which cross-origin requests are allowed from a browser. Please, refer to `CorsConfiguration.setAllowedOriginPatterns(List)` for format details and other considerations.

      By default this is not set.

      Since:
        5.3.2